Subject: RE: I-D ACTION:draft-ietf-l2vpn-arp-mediation-08.txt

From: "Shah, Himanshu" <[email-masked]>
Date: Mon, 9 Jul 2007 11:48:07 -0400

Hi Andy,
The problem of sharing the PW for IPv4 and IPv6 is at the egress PE.
When a frame is received over the PW, egress PE knows what Ethernet/ATM/FR/PPP
encapsulation to use based on the characteristic of the PW. So for IPv4 Ethernet
egress attachment circuit, DMAC, SMAC and Ethertype 0x0800 will be used while
in case of IPv6 MAC addresses are derived in the same manner (by PW association)
but Ethernetype is 0x86DD. Another aspect is the IPDA to DMAC derivation for
multicast which are slightly different for IPv4 and IPv6. In order to make this 
differentiation for the mixed traffic arriving on the shared PW, egress PE will 
have to examine the IP header. Not that this can not be done, but this is an 
additional processing step in the data path which has to be weighed against 
the control plane overhead that you benefit by reduction in number of PWs 
between two PEs.

my thoughts...

/himanshu

> -----Original Message-----
> From: Andrew G. Malis [mailto:[email-masked]]
> Sent: Monday, July 09, 2007 11:35 AM
> To: Shah, Himanshu
> Cc: [email-masked]
> Subject: Re: I-D ACTION:draft-ietf-l2vpn-arp-mediation-08.txt 
> 
> 
> Himanshu,
> 
> I have a comment on section 6.2, which defines the use of the 
> RFC 3036 Address List TLV to advertise exactly one IPv4 or 
> one or more IPv6 addresses for the local CE. I would like to 
> add a sentence to this section that explicitly allows the use 
> of two Address List TLVs in the same Label Mapping message, 
> where one is used for an IPv4 address and the other is used 
> for one or more IPv6 addresses. This allows multiplexing both 
> IPv4 and IPv6 on the same PW, which can cut down the number 
> of PWs required when both IPv4 and IPv6 are in use between 
> the pair of CEs.
> 
> Thanks,
> Andy
> 
> At 7/8/2007 05:15 PM -0400, [email-masked] wrote:
> >A New Internet-Draft is available from the on-line Internet-Drafts 
> >directories.
> >This draft is a work item of the Layer 2 Virtual Private 
> Networks Working Group of the IETF.
> >
> >        Title           : ARP Mediation for IP Interworking 
> of Layer 2 VPN
> >        Author(s)       : H. Shah, et al.
> >        Filename        : draft-ietf-l2vpn-arp-mediation-08.txt
> >        Pages           : 25
> >        Date            : 2007-7-8
> >        
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 9 Jul 2007 12:04:12 -0400

Himanshu,

You're absolutely right, this would require an inspection of the IP header,
but routers are already doing that when receiving IPv4 and IPv6 on unlabled
interfaces - unless they're always relying on the L2 header for IPv4 vs.
IPv6 identification. So I guess we need to hear from the vendors whether
sharing the same PW for IPv4 and IPv6 can be easily implemented using
current HW.

Cheers,
Andy